"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _sharp = _interopRequireDefault(require("sharp"));
/**
 * Sharp is included in the AWS Lambda layer
 */
// @ts-ignore
/**
 * Only processing "width" at the moment.
 * Check "sanitizeImageTransformations.js" to allow additional image processing transformations.
 */
var _default = async (buffer, transformations) => {
  const {
    width
  } = transformations;
  return await (0, _sharp.default)(buffer).resize({
    width
  }).toBuffer();
};
exports.default = _default;